List valid departments for a given site

Permission Level: Read Deprecated: Please Use SiteService.ListAvailableDepartments (deprecated)

GET /users/site/validDepartments

Operation id: SiteService_ListValidDepartments

Description

[Deprecated: Please use the ListAvailableDepartments API.]

Tags: SiteService

Parameters

Query parameters

NameTypeRequiredDescription
siteNamestringNoName of the site. Required: true
tenantIdstringNoTenant of the site. Required: false

Security

  • Authorization (apiKey)
    • Bearer token

Responses

200 — A successful response.

Content type: application/json

default — An unexpected error response.

Content type: application/json

Response models

200 — A successful response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
siteTierDepartmentsarrayNo
siteTypeDepartmentsarrayNo
{
  "type": "object",
  "properties": {
    "siteTierDepartments": {
      "type": "array",
      "items": {
        "type": "object",
        "description": "Protobuf created to represent a Department.\nUsing this name because UniqueDepartmentProto is already used for another use case.",
        "properties": {
          "tenantId": {
            "type": "string"
          },
          "departmentName": {
            "type": "string"
          }
        }
      }
    },
    "siteTypeDepartments": {
      "type": "array",
      "items": {
        "type": "object",
        "description": "Protobuf created to represent a Department.\nUsing this name because UniqueDepartmentProto is already used for another use case.",
        "properties": {
          "tenantId": {
            "type": "string"
          },
          "departmentName": {
            "type": "string"
          }
        }
      }
    }
  }
}

default — An unexpected error response.

Content type: application/json

Schema

PropertyTypeRequiredDescription
codeinteger (int32)No
messagestringNo
detailsarrayNo
{
  "type": "object",
  "properties": {
    "code": {
      "type": "integer",
      "format": "int32"
    },
    "message": {
      "type": "string"
    },
    "details": {
      "type": "array",
      "items": {
        "type": "object",
        "properties": {
          "@type": {
            "type": "string"
          }
        }
      }
    }
  }
}